const Layout = () => import('@/layout/index.vue');

const generalRouter = {
  path: '/general',
  component: Layout,
  redirect: 'noRedirect',
  name: 'General',
  meta: {
    title: '通用管理',
    icon: 'general-hdw'
  },
  children: [
    {
      path: 'authorize',
      component: () => import('@/views/general/authorize/index.vue'),
      name: 'AuthManage',
      meta: { title: '授权管理', icon: 'auth-hdw', noCache: false }
    },
    {
      path: 'log',
      component: () => import('@/views/general/log/index.vue'),
      name: 'LogManage',
      meta: { title: '日志管理', icon: 'log-hdw', noCache: false }
    },
    {
      path: 'map',
      component: () => import('@/views/general/map/index.vue'),
      name: 'MapManage',
      meta: { title: '地图定位', icon: 'map-hdw', noCache: false }
    }
  ]
};

export default generalRouter;
